geos::coverage::CoverageGapFinder Class Reference

`#include <CoverageGapFinder.h>`

## Public Member Functions

| CoverageGapFinder (std::vector< const Geometry * > &coverage)
std::unique_ptr< Geometry > | findGaps (double gapWidth)

## Static Public Member Functions

static std::unique_ptr< Geometry > | findGaps (std::vector< const Geometry * > &coverage, double gapWidth)

## Detailed Description

Finds gaps in a polygonal coverage. Gaps are holes in the coverage which are narrower than a given width.

The coverage should be valid according to CoverageValidator. If this is not the case, some gaps may not be reported, or the invocation may fail.

This is a more accurate way of identifying gaps than using CoverageValidator::setGapWidth(double). Gaps which separate the coverage into two disjoint regions are not detected. Gores are not identified as gaps.

Author
  mdavis

## Constructor & Destructor Documentation

## CoverageGapFinder()

geos::coverage::CoverageGapFinder::CoverageGapFinder | ( | std::vector< const Geometry * > & | coverage | ) |

inline

Creates a new polygonal coverage gap finder.

Parameters

  coverage | a set of polygons forming a polygonal coverage

## Member Function Documentation

## findGaps() [1/2]

std::unique_ptr< Geometry > geos::coverage::CoverageGapFinder::findGaps | ( | double | gapWidth | ) |

Finds gaps in the coverage. Returns lines indicating the locations of the gaps.

Parameters

  gapWidth | the maximum width of gap to detect

Returns
  a geometry indicating the locations of gaps (which is empty if no gaps were found), or null if the coverage was empty

## findGaps() [2/2]

std::unique_ptr< Geometry > geos::coverage::CoverageGapFinder::findGaps | ( | std::vector< const Geometry * > & | coverage,
|  | double | gapWidth )

static

Finds gaps in a polygonal coverage. Returns lines indicating the locations of the gaps.

Parameters

  coverage | a set of polygons forming a polygonal coverage
  gapWidth | the maximum width of gap to detect

Returns
  a geometry indicating the locations of gaps (which is empty if no gaps were found), or null if the coverage was empty

The documentation for this class was generated from the following file:

- CoverageGapFinder.h